#!/bin/sh
##Script de génération d'add-on générique à partir de sources.
#devrait venir avec un dossier overlay ne contenant que de la config et un fichier packages.list

### Variables de base ###

addon_name="compizfusion"
#le nom de l'addon. éviter les caractères autres que chiffres, lettres et -_

architecture=`arch |sed 's/86_//'`
#architecture (ici autodétecté) : i686 ou x64

askornot="ask"
#demander s'il faut le monter ou le monter auto. ? valeurs : "ask" ou "noask"

installornot="-installable"
#l'addon est-il installable ? valeurs : "-installable" ou "" (rien).


### Génération ###
mkdir -p root/var/lib/pacman/sync
pacman -Syfd $(cat packages.list) -r root --noconfirm
rm -r root/var/lib/pacman/sync
cp -a overlay/* root/
mksquashfs root addon-${askornot}-${addon_name}-${architecture}${installornot}.sqfs
chmod a+r *.sqfs

#bai
[ "$?" == "0" ] && echo -e "\n\nHave a nice day !"
